threadpool | Overview | Reference | Tutorial | Examples | Design

Reference | Class List | Member Functions | Typedefs | File List

Public Member Functions | Static Public Member Functions
boost::threadpool::static_size< Pool > Class Template Reference

List of all members.

## Public Member Functions
bool | resize (size_t const worker_count)
| static_size (Pool volatile &pool)
void | task_finished ()
void | task_scheduled ()
void | worker_died_unexpectedly (size_t const new_worker_count)
## Static Public Member Functions
static void | init (Pool &pool, size_t const worker_count)

## Detailed Description

### template<typename Pool>
class boost::threadpool::static_size< Pool >

SizePolicy which preserves the thread count.

Parameters:

  Pool | The pool's core type.

Definition at line 68 of file size_policies.hpp.

## Constructor & Destructor Documentation

template<typename Pool >

boost::threadpool::static_size< Pool >::static_size | ( | Pool volatile & | pool | ) |

Definition at line 78 of file size_policies.hpp.

## Member Function Documentation

template<typename Pool >

static void boost::threadpool::static_size< Pool >::init | ( | Pool & | pool,
|  | size_t const | worker_count
| ) |  | `[static]`

Definition at line 73 of file size_policies.hpp.

template<typename Pool >

bool boost::threadpool::static_size< Pool >::resize | ( | size_t const | worker_count | ) |

Definition at line 82 of file size_policies.hpp.

template<typename Pool >

void boost::threadpool::static_size< Pool >::task_finished | ( |  | ) |

Definition at line 94 of file size_policies.hpp.

template<typename Pool >

void boost::threadpool::static_size< Pool >::task_scheduled | ( |  | ) |

Definition at line 93 of file size_policies.hpp.

template<typename Pool >

void boost::threadpool::static_size< Pool >::worker_died_unexpectedly | ( | size_t const | new_worker_count | ) |

Definition at line 87 of file size_policies.hpp.

Copyright © 2005-2008 Philipp Henkel | Overview | Reference | Tutorial | Examples | Design